#include <stdio.h>
#include <stdlib.h>

void umnozak(FILE* in1, FILE* in2, FILE* out)
{
    int n1, n2, i, j, k;
    double **m1, **m2, x;

    fscanf(in1, "%d", &n1);
    fscanf(in2, "%d", &n2);

    if(n1!=n2){
        printf("Greska: matrice nisu ulancane!\n");
        exit(1);
    }

    m1=malloc(n1*sizeof(double*));
    m2=malloc(n1*sizeof(double*));
    for(i=0; i<n1; i++){
        m1[i]=malloc(n1*sizeof(double));
        m2[i]=malloc(n1*sizeof(double));
    }

    for(i=0; i<n1; i++){
        for(j=0; j<n1; j++){
            fscanf(in1, "%lg", &m1[i][j]);
            fscanf(in2, "%lg", &m2[i][j]);
        }
    }

    fprintf(out, "%d ", n1);
    for(i=0; i<n1; i++){
        for(j=0; j<n1; j++){
            x=0;
            for(k=0; k<n1; k++){
                x+=m1[i][k]*m2[k][j];
            }
            fprintf(out,"%g ", x);
        }
    }

    for(i=0; i<n1; i++){
        free(m1[i]);
        free(m2[i]);
    }
    free(m1);
    free(m2);
}


int main(void)
{
    FILE *in1,*in2, *out;

    if((in1=fopen("tekstualne_datoteke/matrica.txt", "rt"))==NULL){
        printf("Greska prilikom otvaranja!");
        exit(1);
    }
    if((in2=fopen("tekstualne_datoteke/matrica2.txt", "rt"))==NULL){
        printf("Greska prilikom otvaranja!");
        exit(1);
    }
    if((out=fopen("tekstualne_datoteke/rezultat.txt", "wt"))==NULL){
        printf("Greska prilikom otvaranja!");
        exit(1);
    }

    umnozak(in1, in2, out);

    fclose(in1);
    fclose(in2);
    fclose(out);

    return 0;
}
