#include <stdio.h>
#include <stdlib.h>
#include <string.h>

typedef struct{
  char ime[51];
  int bodovi;
}klub;

/*Funkcija koja nam povezuje ime kluba sa struktorom
u kojoj drzimo podatke za taj klub*/
unsigned nadji_klub(char* imek, klub** l, unsigned* n)
{
  unsigned i;

  for(i=0; i<*n; i++){
    if(!strcmp(imek, (*l)[i].ime))
      return i;
  }

  *l=(klub*)realloc(*l,++*n*sizeof(klub));
  strcpy((*l)[i].ime,imek);
  (*l)[i].bodovi=0;
  return i;
}

void obradjivanje(klub *klub1, klub *klub2, int gol1, int gol2)
{
    if(gol1>gol2)
      (*klub1).bodovi+=3;
    else if(gol1<gol2)
      (*klub2).bodovi+=3;
    else{
      (*klub1).bodovi++;
      (*klub2).bodovi++;
    }
}

int main(void){
  FILE *in=fopen("tekstualne_datoteke/nogomet.txt","rt"),
    *out=fopen("tekstualne_datoteke/nogomet.csv","wt");
  klub *svi=NULL;
  char klub1[51], klub2[51];
  unsigned brkl=0,gol1,gol2,i,j;

  /*Kraci nacin za provjeru jesu li datoteke dobro otvorene*/
  if(!in||!out)
    return printf("Greska pri otvaranju!\n");

  while(fscanf(in,"%[^:=]:%[^:=]=%u:%u ",klub1,klub2,&gol1,&gol2)>0){ //Bitan je razmak na pocetku citanja da u klub1 ne stavimo novi red
    //printf("%s\n", klub1);
    i=nadji_klub(klub1,&svi,&brkl);
    j=nadji_klub(klub2,&svi,&brkl);

    /*Obradjujemo utakmicu dodavanjem bodova*/
    obradjivanje(&svi[i],&svi[j],gol1,gol2);
  }

  /*Sortiranje po bodovima*/
  for(i=0; i<brkl-1; i++){
    for(j=i+1; j<brkl; j++){
      if(svi[i].bodovi<svi[j].bodovi){
        /*prava ljestvica: gol-razlika, dani golovi,
        primljeni golovi, DZ*/
        klub tmp=svi[i];
        svi[i]=svi[j];
        svi[j]=tmp;
      }
    }
  }

  /*Upisivanje u datoteku out*/
  for(i=0; i<brkl; i++){
    fprintf(out, "%d,%s,%d\n", i+1, svi[i].ime, svi[i].bodovi);
  }

  fclose(in);
  fclose(out);
  return 0;
}


